import { ISceneEditor } from "../Interfaces/ISceneEditor";
import { IDisposable } from "../Interfaces/IDisposable";
export declare class AxesLayer implements IDisposable {
    private _sceneEditor;
    private _editorScene;
    private _scene;
    private _axisRoot;
    private _axes;
    constructor(sceneEditor: ISceneEditor);
    dispose(): void;
    private onPreUpdate;
    private onPostUpdate;
    private createAxes;
    refresh(): void;
    render(): void;
    getScene(): BABYLON.Scene;
}
